Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043760
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajorhave not tried2020-04-17 00:332020-05-07 15:47
Reportermatias-bernalView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revision47e4ca0c5c1a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043760: Error when trying to delete orphan lines orphan lines on Return from Customer window

DescriptionAfter reactivating a Return from Customer record (with a line invoiced and received), we added an orphan line but we need to delete it now, the record is still on draft but we are getting an error when trying to delete the orphan line
Steps To ReproduceRM Allow Orphan Line preference must be active
1- Create a sales order with a product, process it, invoice it and create the goods shipment
2- Create a Return from Customer, pick the sales order line, process it, invoice it and create the goods shipment
3- Reactivate the Return from Customer, insert an orphan line, then try to delete it

It gives the error: "You cannot delete the line because it has Delivered Quantity -4" but the return wasn't processed yet and the orphan line wasn't delivered yet either

https://www.youtube.com/watch?v=VFZmZvqnSCQ&feature=youtu.be [^]
Proposed SolutionSee attached patch
TagsNo tags attached.
Attached Filesdiff file icon ad_table.diff [^] (1,284 bytes) 2020-04-22 18:21 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0119504)
inigo_lerga (developer)
2020-04-30 14:00

--Test Plan Mantis--
Beforehand, the environment needs to have enabled the following preference:
- RM Allow Orphan Line

IN THE BACKEND - As the F&B International Group Admin role:
- Go to the Sales Order window and create a new record with
  "Alimentos y Supermercados, S.A" as Business Partner, leaving
  the rest of the fields as default.
  Go to the Lines tab and create a new line with "Cerveza Ale 0,5L"
  as product and 5 units as Ordered Quantity.
  Save the record and book it.
- Go to the Create Shipments from Orders window, select the previously
  created record and process it.
- Go to the Create Invoices from Orders window and select the previously
  created record and process it.
- Go to the Return from Customer window and create a new record with
  "Alimentos y Supermercados, S.A" as Business Partner, leaving
  the rest of the fields as default.
  Press the Pick/Edit Lines button and select the 5 units of Cerveza Ale of
  the previously created Sales Order. Set 5 as Returned Quantity.
  Book the record.
- Go to the Return Material Receipt window and create a new record with
  "Alimentos y Supermercados, S.A" as Business Partner, leaving
  the rest of the fields as default.
  Press the Pick/Edit Lines button and select the 5 units of Cerveza Ale of
  the previously created Sales Order.
  Complete the record.
- Go to the Sales Invoice window and create a new record with
  "Alimentos y Supermercados, S.A" as Business Partner, leaving
  the rest of the fields as default.
  Press the Create Lines From Shipment and select the 5 units of Cerveza Ale of
  the previously created Sales Order.
  Complete the record.
- Go back to the Return from Customer window and press the Close button. Select
  the Reactivate option.
- Press the Insert Orphan Line button and select "Bebida Energética 0,5L" as product
  and 2 units as Returned.
- Press the Pick/Edit Line button and deselect the Orphan Line just created.

#In this moment the modified code is executed (properly working) and no error is thrown#
(0119662)
hgbot (developer)
2020-05-07 15:45

Repository: erp/devel/pi
Changeset: 47e4ca0c5c1a59445d70fad5fffb90f42f03f80b
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Thu Apr 30 09:20:08 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/47e4ca0c5c1a59445d70fad5fffb90f42f03f80b [^]

fixes BUG-43760:Added salesOrderLine field to hql table

---
M src-db/database/sourcedata/AD_TABLE.xml
---
(0119663)
dmiguelez (developer)
2020-05-07 15:47

The fix reintroduces a column that was lost in some refactors into the query.
This column is used to manage which columns need to be deleted from the pick and edit, without it, all the columns were deleted and created as new ones.
(0119664)
dmiguelez (developer)
2020-05-07 15:47

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-04-17 00:33 matias-bernal New Issue
2020-04-17 00:33 matias-bernal Assigned To => Triage Finance
2020-04-17 00:33 matias-bernal Modules => Core
2020-04-17 00:33 matias-bernal Triggers an Emergency Pack => No
2020-04-17 08:30 Practics Issue Monitored: Practics
2020-04-22 18:19 matias-bernal Proposed Solution updated
2020-04-22 18:21 matias-bernal File Added: ad_table.diff
2020-04-29 08:47 inigo_lerga Status new => scheduled
2020-04-29 08:47 inigo_lerga Assigned To Triage Finance => inigo_lerga
2020-04-30 14:00 inigo_lerga Note Added: 0119504
2020-05-07 15:45 hgbot Checkin
2020-05-07 15:45 hgbot Note Added: 0119662
2020-05-07 15:45 hgbot Status scheduled => resolved
2020-05-07 15:45 hgbot Resolution open => fixed
2020-05-07 15:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/47e4ca0c5c1a59445d70fad5fffb90f42f03f80b [^]
2020-05-07 15:47 dmiguelez Note Added: 0119663
2020-05-07 15:47 dmiguelez Review Assigned To => dmiguelez
2020-05-07 15:47 dmiguelez Note Added: 0119664
2020-05-07 15:47 dmiguelez Status resolved => closed
2020-05-07 15:47 dmiguelez Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker